package com.td.WaDa.common.service;

import com.td.WaDa.common.pojo.ComConfig;
import com.td.WaDa.game.complayersattri.vo.ComPlayersLuckyLandLevelUpVo;

import java.util.List;

public interface ComConfigService {
    String selectByKey(String key);

    List<ComPlayersLuckyLandLevelUpVo> selectLandLevel();

    <T> List<T> selectListByKey(String key, Class<T> clazz);
    <T> T selectByKey(String key, Class<T> clazz);

    List<ComConfig> selectAllComConfig();

    /**
     * 更新一个redis缓存list
     * @return
     */
    List<ComConfig> updateList();
}
